/*
 * fdset.h
 */
#ifndef __fdset_h__
#define __fdset_h__

typedef unsigned long fd_set_s;

#define SOCK_START_VAL	(128)

#define FD_SET_S(x, y)		(*(y) |= (1 << (x - SOCK_START_VAL)))
#define	FD_CLR_S(x, y)		(*(y) &= ~(1 << (x - SOCK_START_VAL)))
#define	FD_ISSET_S(x, y)	(*(y) & ~(1 << (x - SOCK_START_VAL)))
#define	FD_ZERO_S(y)		(*(y) = 0)

#endif
